From 817515f9278f97b3fa32bb434cb2bd26816a7838 Mon Sep 17 00:00:00 2001
From: Laurent Montel <montel@kde.org>
Date: Thu, 24 Feb 2022 17:28:35 +0100
Subject: [PATCH] Make it compile without texttospeach

---
 src/kmmainwidget.cpp    | 5 +++++
 src/kmreadermainwin.cpp | 5 +++++
 2 files changed, 10 insertions(+)

diff --git a/src/kmmainwidget.cpp b/src/kmmainwidget.cpp
index d6d0d40ac..37bbe72a2 100644
--- a/src/kmmainwidget.cpp
+++ b/src/kmmainwidget.cpp
@@ -36,7 +36,10 @@
 #include "widgets/collectionpane.h"
 #include "widgets/kactionmenuaccount.h"
 #include "widgets/kactionmenutransport.h"
+#include <kpimtextedit/kpimtextedit-texttospeech.h>
+#if KPIMTEXTEDIT_TEXT_TO_SPEECH
 #include <KPIMTextEdit/TextToSpeech>
+#endif
 #include <KSieveUi/SieveDebugDialog>
 #include <MailCommon/FolderTreeView>
 #include <MailCommon/MailKernel>
@@ -2707,10 +2710,12 @@ void KMMainWidget::showMessagePopup(const Akonadi::Item &msg,
         mMsgActions->addWebShortcutsMenu(&menu, selectedText);
         menu.addSeparator();
         menu.addActions(mMsgView->viewerPluginActionList(MessageViewer::ViewerPluginInterface::NeedSelection));
+#if KPIMTEXTEDIT_TEXT_TO_SPEECH
         if (KPIMTextEdit::TextToSpeech::self()->isReady()) {
             menu.addSeparator();
             menu.addAction(mMsgView->speakTextAction());
         }
+#endif
         menu.addSeparator();
         menu.addAction(mMsgView->shareTextAction());
     } else if (!urlMenuAdded) {
diff --git a/src/kmreadermainwin.cpp b/src/kmreadermainwin.cpp
index 4967459cc..85c488f97 100644
--- a/src/kmreadermainwin.cpp
+++ b/src/kmreadermainwin.cpp
@@ -54,7 +54,10 @@
 #include <Akonadi/ItemCreateJob>
 #include <Akonadi/ItemMoveJob>
 #include <Akonadi/KMime/MessageFlags>
+#include <kpimtextedit/kpimtextedit-texttospeech.h>
+#if KPIMTEXTEDIT_TEXT_TO_SPEECH
 #include <KPIMTextEdit/TextToSpeech>
+#endif
 #include <MailCommon/MailUtil>
 #include <MessageViewer/DKIMViewerMenu>
 #include <MessageViewer/DKIMWidgetInfo>
@@ -736,10 +739,12 @@ void KMReaderMainWin::showMessagePopup(const Akonadi::Item &msg,
         mMsgActions->addWebShortcutsMenu(menu, selectedText);
         menu->addSeparator();
         menu->addActions(mReaderWin->viewerPluginActionList(MessageViewer::ViewerPluginInterface::NeedSelection));
+#if KPIMTEXTEDIT_TEXT_TO_SPEECH
         if (KPIMTextEdit::TextToSpeech::self()->isReady()) {
             menu->addSeparator();
             menu->addAction(mReaderWin->speakTextAction());
         }
+#endif
         menu->addSeparator();
         menu->addAction(mReaderWin->shareTextAction());
     } else if (!urlMenuAdded) {
-- 
GitLab

